#include <iostream>
#include <algorithm>
#include <cmath>
#define MaxN 10000

using namespace std;

int main()
{
    long long n, q, a[MaxN], b[MaxN], x, c[MaxN];
    cin>>n>>q;
    for(int i=0; i<n; i++)
    {
        cin>>a[i];
    }
    for(int i=0; i<q; i++)
    {
        cin>>b[i];
    }
    sort(a, a+n);
    for(int i=0; i<n; i++)
    {
        c[i]=a[i];
    }
    int m=floor(n/2)+1;
    for(int i=0; i<q; i++)
    {
        if(b[i]<a[0] || b[i]>a[n-1])
        {
            cout<<n<<endl;
        }
        else
        {
            a[n]=b[i];
            sort(a, a+n+1);
            for(int j=0; j<n; j++)
            {
                if(c[j]!=a[j])
                {
                    x=j;
                    j=n;
                }
            }
            for(int i = 0; i < n; i++)
            {
                a[i] = c[i];
            }
            cout<<abs(m-x)<<endl;
        }
    }
}